# Draw
TKDraw
DBRep

# DBRep_ListOfFace Class Reference

`#include <DBRep_ListOfFace.hxx>`

## Public Member Functions

void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)
Standard_EXPORT | DBRep_ListOfFace ()
Standard_EXPORT void | Assign (const DBRep_ListOfFace &Other)
void | operator= (const DBRep_ListOfFace &Other)
Standard_EXPORT Standard_Integer | Extent () const
Standard_EXPORT void | Clear ()
| ~DBRep_ListOfFace ()
Standard_Boolean | IsEmpty () const
Standard_EXPORT void | Prepend (const Handle(DBRep_Face)&I)
Standard_EXPORT void | Prepend (const Handle(DBRep_Face)&I, DBRep_ListIteratorOfListOfFace &theIt)
Standard_EXPORT void | Prepend (DBRep_ListOfFace &Other)
Standard_EXPORT void | Append (const Handle(DBRep_Face)&I)
Standard_EXPORT void | Append (const Handle(DBRep_Face)&I, DBRep_ListIteratorOfListOfFace &theIt)
Standard_EXPORT void | Append (DBRep_ListOfFace &Other)
Standard_EXPORT Handle_DBRep_Face & | First () const
Standard_EXPORT Handle_DBRep_Face & | Last () const
Standard_EXPORT void | RemoveFirst ()
Standard_EXPORT void | Remove (DBRep_ListIteratorOfListOfFace &It)
Standard_EXPORT void | InsertBefore (const Handle(DBRep_Face)&I, DBRep_ListIteratorOfListOfFace &It)
Standard_EXPORT void | InsertBefore (DBRep_ListOfFace &Other, DBRep_ListIteratorOfListOfFace &It)
Standard_EXPORT void | InsertAfter (const Handle(DBRep_Face)&I, DBRep_ListIteratorOfListOfFace &It)
Standard_EXPORT void | InsertAfter (DBRep_ListOfFace &Other, DBRep_ListIteratorOfListOfFace &It)

## Private Member Functions

Standard_EXPORT | DBRep_ListOfFace (const DBRep_ListOfFace &Other)

## Private Attributes

Standard_Address | myFirst
Standard_Address | myLast

## Constructor & Destructor Documentation

Standard_EXPORT DBRep_ListOfFace::DBRep_ListOfFace | ( |  | ) |

DBRep_ListOfFace::~DBRep_ListOfFace | ( |  | ) | `[inline]`

Standard_EXPORT DBRep_ListOfFace::DBRep_ListOfFace | ( | const DBRep_ListOfFace & | Other | ) | `[private]`

## Member Function Documentation

Standard_EXPORT void DBRep_ListOfFace::Append | ( | DBRep_ListOfFace & | Other | ) |

Standard_EXPORT void DBRep_ListOfFace::Append | ( | const Handle(DBRep_Face)& | I,
|  | DBRep_ListIteratorOfListOfFace & | theIt
| ) |

Standard_EXPORT void DBRep_ListOfFace::Append | ( | const Handle(DBRep_Face)& | I | ) |

Standard_EXPORT void DBRep_ListOfFace::Assign | ( | const DBRep_ListOfFace & | Other | ) |

Standard_EXPORT void DBRep_ListOfFace::Clear | ( |  | ) |

Standard_EXPORT Standard_Integer DBRep_ListOfFace::Extent | ( |  | ) | const

Standard_EXPORT Handle_DBRep_Face& DBRep_ListOfFace::First | ( |  | ) | const

Standard_EXPORT void DBRep_ListOfFace::InsertAfter | ( | DBRep_ListOfFace & | Other,
|  | DBRep_ListIteratorOfListOfFace & | It
| ) |

Standard_EXPORT void DBRep_ListOfFace::InsertAfter | ( | const Handle(DBRep_Face)& | I,
|  | DBRep_ListIteratorOfListOfFace & | It
| ) |

Standard_EXPORT void DBRep_ListOfFace::InsertBefore | ( | DBRep_ListOfFace & | Other,
|  | DBRep_ListIteratorOfListOfFace & | It
| ) |

Standard_EXPORT void DBRep_ListOfFace::InsertBefore | ( | const Handle(DBRep_Face)& | I,
|  | DBRep_ListIteratorOfListOfFace & | It
| ) |

Standard_Boolean DBRep_ListOfFace::IsEmpty | ( |  | ) | const

Standard_EXPORT Handle_DBRep_Face& DBRep_ListOfFace::Last | ( |  | ) | const

void DBRep_ListOfFace::operator delete | ( | void * | anAddress | ) | `[inline]`

void* DBRep_ListOfFace::operator new | ( | size_t | size | ) | `[inline]`

void* DBRep_ListOfFace::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

void DBRep_ListOfFace::operator= | ( | const DBRep_ListOfFace & | Other | ) | `[inline]`

Standard_EXPORT void DBRep_ListOfFace::Prepend | ( | DBRep_ListOfFace & | Other | ) |

Standard_EXPORT void DBRep_ListOfFace::Prepend | ( | const Handle(DBRep_Face)& | I,
|  | DBRep_ListIteratorOfListOfFace & | theIt
| ) |

Standard_EXPORT void DBRep_ListOfFace::Prepend | ( | const Handle(DBRep_Face)& | I | ) |

Standard_EXPORT void DBRep_ListOfFace::Remove | ( | DBRep_ListIteratorOfListOfFace & | It | ) |

Standard_EXPORT void DBRep_ListOfFace::RemoveFirst | ( |  | ) |

## Field Documentation

Standard_Address DBRep_ListOfFace::myFirst `[private]`

Standard_Address DBRep_ListOfFace::myLast `[private]`

The documentation for this class was generated from the following file:

- DBRep_ListOfFace.hxx